Debian Bug report logs - #411685
ITP: pike7.8 -- Powerful interpreted programming language, development version

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Marek Habersack <grendel@debian.org>

Date: Tue, 20 Feb 2007 13:33:18 UTC

Owned by: Magnus Holmgren <holmgren@debian.org>

Severity: wishlist

Fixed in version pike7.8/7.8.116-1

Done: Magnus Holmgren <holmgren@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#411685; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marek Habersack <grendel@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marek Habersack <grendel@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: pike7.7
Date: Tue, 20 Feb 2007 13:32:39 +0000
Package: wnpp
Severity: normal

Due to retiring from Debian, I am orphaning this package.

-- System Information:
Debian Release: 3.1
Architecture: i386 (i686)
Kernel: Linux 2.6.17.11
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
ANSI_X3.4-1968)



Changed Bug title. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#411685; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Magnus Holmgren <magnus@kibibyte.se>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #12 received at 411685@bugs.debian.org (full text, mbox):

From: Magnus Holmgren <magnus@kibibyte.se>
To: 411684@bugs.debian.org, 411685@bugs.debian.org, control@bugs.debian.org
Cc: Henrik Andreasson <pike@han.pp.se>, Bertrand LUPART <bertrand.lupart@linkeo.com>
Subject: ITA pike packages
Date: Thu, 9 Aug 2007 12:45:40 +0200
[Message part 1 (text/plain, inline)]
retitle 411684 ITA: pike7.6 -- Powerful interpreted programming language, stable version
owner 411684 !
retitle 411685 ITA: pike7.7 -- Powerful interpreted programming language, development version
owner 411685 !
thanks

After discussion with upstream, I intend to adopt the pike packages together
with Henrik Andreasson <pike@han.pp.se>. Bertrand LUPART <bertrand.lupart@linkeo.com>
also offered help.

-- 
Magnus Holmgren        magnus@kibibyte.se  holmgren@lysator.liu.se
[Message part 2 (application/pgp-signature, inline)]

Changed Bug title to `ITA: pike7.7 -- Powerful interpreted programming language, development version' from `O: pike7.7 -- Recommended meta package for Pike 7.7'. Request was from Magnus Holmgren <magnus@kibibyte.se> to control@bugs.debian.org. (Thu, 09 Aug 2007 10:48:07 GMT) Full text and rfc822 format available.

Owner recorded as Magnus Holmgren <magnus@kibibyte.se>. Request was from Magnus Holmgren <magnus@kibibyte.se> to control@bugs.debian.org. (Thu, 09 Aug 2007 10:48:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Magnus Holmgren <magnus@kibibyte.se>:
Bug#411685; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to David Moreno Garza <damog@merkel.debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Magnus Holmgren <magnus@kibibyte.se>. Full text and rfc822 format available.

Message #21 received at 411685@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: control@bugs.debian.org
Cc: 411685@bugs.debian.org
Subject: WNPP bug retitle
Date: Wed, 16 Apr 2008 11:59:12 -0600
retitle 411685 O: pike7.7 -- Powerful interpreted programming language, development version
noowner 411685
stop

Hello,

This is an automatic mail sent to retitle the ITA you have reported or 
are involved with.

Your ITA wnpp bug is being orphaned because of the following reasons:
- It is, as of today, older than 250 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be managing some bugs that are not 
intended by owners and submitters (like you) to be orphaned, for
example if the ITA is still of your interest, or there has been 
some kind of activity around it. In that case, please retitle the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily recover
their bugs ;-).

To retitle it, you simply have to mail <control@bugs.debian.org>
with a body text like this:

 retitle 411685 ITA: pike7.7 -- Powerful interpreted programming language, development version
 owner 411685 !
 stop

Further comments on the work done in the bug sent to
411685@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.





Changed Bug title to `O: pike7.7 -- Powerful interpreted programming language, development version' from `ITA: pike7.7 -- Powerful interpreted programming language, development version'. Request was from David Moreno Garza <damog@merkel.debian.org> to control@bugs.debian.org. (Wed, 16 Apr 2008 18:00:19 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Magnus Holmgren <magnus@kibibyte.se>. Request was from David Moreno Garza <damog@merkel.debian.org> to control@bugs.debian.org. (Wed, 16 Apr 2008 18:00:19 GMT) Full text and rfc822 format available.

Reply sent to Thomas Huriaux <thomas.huriaux@gmail.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Marek Habersack <grendel@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #30 received at 411685-close@bugs.debian.org (full text, mbox):

From: Thomas Huriaux <thomas.huriaux@gmail.com>
To: 411685-close@bugs.debian.org
Subject: Package removed
Date: Thu, 1 May 2008 09:56:54 +0200
pike7.7 was removed from the archive (see #477137).

-- 
Thomas Huriaux




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#411685; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Magnus Holmgren <holmgren@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #35 received at 411685@bugs.debian.org (full text, mbox):

From: Magnus Holmgren <holmgren@debian.org>
To: 411685@bugs.debian.org
Cc: control@bugs.debian.org, Thomas Huriaux <thomas.huriaux@gmail.com>
Subject: Re: Package removed (pike7.7)
Date: Fri, 16 May 2008 19:35:12 +0200
[Message part 1 (text/plain, inline)]
reopen 411685
retitie 411685 ITP: pike7.8 -- Powerful interpreted programming language, development version
owner !

On torsdagen den 1 maj 2008, you stated the following:
> pike7.7 was removed from the archive (see #477137).

pike7.7 was intended to be renamed pike7.8 anyway, because that's what the stable release
will eventually be called. Since I maintain pike7.6 I also intend to maintain pike7.8.
Since there hs never been a pike7.8 package in Debian yet, I call this an ITA, but since
it's essentially the same package as pike7.7 I reuse this bug.

-- 
Magnus Holmgren        holmgren@debian.org
Debian Developer 
[signature.asc (application/pgp-signature, inline)]

Bug reopened, originator not changed. Request was from Magnus Holmgren <holmgren@debian.org> to control@bugs.debian.org. (Fri, 16 May 2008 17:37:03 GMT) Full text and rfc822 format available.

Changed Bug title to `ITP: pike7.8 -- Powerful interpreted programming language, development version' from `O: pike7.7 -- Powerful interpreted programming language, development version'. Request was from Magnus Holmgren <holmgren@debian.org> to control@bugs.debian.org. (Fri, 16 May 2008 18:03:03 GMT) Full text and rfc822 format available.

Owner recorded as Magnus Holmgren <holmgren@debian.org>. Request was from Magnus Holmgren <holmgren@debian.org> to control@bugs.debian.org. (Fri, 16 May 2008 18:03:04 GMT) Full text and rfc822 format available.

Severity set to `wishlist' from `normal' Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. (Sat, 24 May 2008 09:36:06 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 02 Aug 2009 20:06:06 GMT) Full text and rfc822 format available.

Reply sent to Magnus Holmgren <holmgren@debian.org>:
You have taken responsibility. (Sat, 12 Sep 2009 23:21:04 GMT) Full text and rfc822 format available.

Notification sent to Marek Habersack <grendel@debian.org>:
Bug acknowledged by developer. (Sat, 12 Sep 2009 23:21:04 GMT) Full text and rfc822 format available.

Message #50 received at 411685-done@bugs.debian.org (full text, mbox):

From: Magnus Holmgren <holmgren@debian.org>
To: 411685-done@bugs.debian.org
Subject: pike7.8 uploaded to experimental
Date: Sun, 13 Sep 2009 01:18:15 +0200
[Message part 1 (text/plain, inline)]
Source: pike7.8
Source-version: 7.8.116-1

pike7.8 (7.8.316-dfsg-1) experimental; urgency=low

  * New upstream release.
  * 'bundles' subdirectory deleted from upstream tarball.
  * Skip the pike -x module fix; it doesn't seem necessary and was also
    currently broken.
  * Switch to Nettle 2.0 (Build-Depend on nettle-dev instead of
    libnettle-dev).
    + nettle_2.0.dpatch: Temporarily include changes made in upstream CVS
      to accommodate the API changes.
  * Increase Debhelper compat level to 5.
  * 05_install.pike.dpatch (disabled): The passing-on of lib_prefix was
    fixed upstream, so this patch now instead does that with share_prefix
    and modifies install.pike to use it. The rest of the package is not
    quite ready though, so the patch is disabled for now.
  * Refresh all other patches.
  * Instead of patching shebangs and fixing execute permissions, simply
    remove them from all Pike scripts. None of them are meant to be run
    directly anyway.
  * Point Vcs-Svn and Vcs-Browser at svn.debian.org.
  * Add debian/README.source.
  * Use $(filter) instead of $(findstring) to parse DEB_BUILD_OPTIONS.
  * Increase Standards-Version to 3.8.3.

 -- Magnus Holmgren <holmgren@debian.org>  Fri, 11 Sep 2009 20:56:49 +0200

pike7.8 (7.8.116-1) experimental; urgency=low

  * New major upstream release; new package name (Closes: #411685, #538994).
    + New modules: SQLite, Fuse, DNS-SD, and FFTW.
    - Perl module removed.
  * Modify debian/watch to track the latest 7.8 version using uscan's 
    recursive capabilities.
  * debian/control: 
    * Bumped standards to version 3.8.0.
    + Added build dependency on libfftw3-dev.
    + Added build dependency on libavahi-compat-libdnssd-dev.
    + Created new binary package 'pike-dnssd' for pike DNS-SD module.
    - Dropped the dependencies on libpng12-dev and libreadline5-dev.
  * debian/rules: 
    - Removed '--with-perl' from CFARGS as perl module is deprecated.
    * Fixed path to dynamic_module_makefile in install rule.
    * Rewrote shell trickery to determine DEBVERSION as previous method did
      not work correctly in all cases.
    - Enable GTK2 module as it has much better support in 7.8.
    - Fixed CFARGS quoting issues.
    - Specifically disable DVB and Oracle in CFARGS.
    - Tidy things up a bit.
  * debian/patches/05_install.pike.dpatch: refreshed.
  * debian/patches/07_dynamic_module_makefile.in-libgcc.dpatch: refreshed.
  * debian/copyright: Point at versioned copy of GPL and LGPL.
  * Big thanks to Cody A.W. Somerville <cody-somerville@ubuntu.com> who did
    most the the work.
  * Rename the metapackage that depends on all Pike packages pike7.8-full,
    -full being a more common suffix for such a package.
  * pike7.8-core.postinst: Increase update-alternatives priority.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 02 Aug 2009 20:46:08 +0200

-- 
Magnus Holmgren        holmgren@debian.org
Debian Developer 
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 11 Oct 2009 07:35:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 02:45:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.